/*****************
	ipt_msg.h
		2013.8.30
		By H.Nakano
*************************/
#ifndef __IPT_MSG_H
#define __IPT_MSG_H

/* config group */
#define NFQname   "nfqueue"

/* server side */
#define MQ_READ1   "/mq_ipt0001"
#define MQ_WRITE1  "/mq_ipt0002"

#define MODE_File  (S_IRUSR | S_IWUSR | S_IRGRP |S_IWGRP | S_IWOTH | S_IROTH) 
#define Msg_Max  20
#define Msg_Size 4096

#define NanoSec  (1000000000)
/* 50msec*/
#define MQ_Wait  (50*1000)

#define MQ_Priority 20

#define REQUEST_CTL  0x000f
#define REQUEST_ADDR 0x00f0
#define REQUEST_QUIT 0x00ff

#endif

